Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Utils Namespace Reference

## Compounds
class | Auto_Functor
| Helper template to implement auto_ptr<>-like classes, but executing a functor in the destructor, instead of always deleting things. More...
struct | Auto_Functor_Ref
| Helper class to implement assignment and copy-construction as expected. More...